Package org.eclipse.graphiti.ui.editor

# Interface IDiagramBehaviorUI

All Superinterfaces:
  `IDiagramBehavior`

All Known Implementing Classes:
  `DiagramBehavior`

public interface IDiagramBehaviorUI extends IDiagramBehavior
This interface is intended as UI dependent base interface for the common behavior object that describes and implements the behavior of diagrams and can be reused within all kinds of diagram containers, e.g. editors, views or plain UI composites.

Since:
  0.10

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.draw2d.geometry.Point`
`calculateRealMouseLocation(org.eclipse.draw2d.geometry.Point nativeLocation)`
Calculates the mouse location depending on scrollbars and zoom factor.
`org.eclipse.gef.DefaultEditDomain`
`getEditDomain()`
Returns the GEF edit domain as needed for some of the feature functionality in Graphiti.
`org.eclipse.gef.GraphicalEditPart`
`getEditPartForPictogramElement(PictogramElement pe)`
Method to retrieve the GEF `EditPart` for a given `PictogramElement`.
`org.eclipse.draw2d.IFigure`
`getFigureForPictogramElement(PictogramElement pe)`
Method to retrieve the Draw2D `IFigure` for a given `PictogramElement`.

### Methods inherited from interface org.eclipse.graphiti.platform.IDiagramBehavior

`executeFeature, getDiagramContainer, getEditingDomain, refresh, refreshContent, refreshPalette, refreshRenderingDecorators`

## Method Details

### calculateRealMouseLocation

org.eclipse.draw2d.geometry.Point calculateRealMouseLocation(org.eclipse.draw2d.geometry.Point nativeLocation)
Calculates the mouse location depending on scrollbars and zoom factor.

Parameters:
  `nativeLocation` - the native location given as `Point`
Returns:
  the `Point` of the real mouse location

### getEditDomain

org.eclipse.gef.DefaultEditDomain getEditDomain()
Returns the GEF edit domain as needed for some of the feature functionality in Graphiti.

Returns:
  the `DefaultEditDomain` used in this behavior's editor
See Also:
  - `GraphicalEditor.getEditDomain()`

### getEditPartForPictogramElement

org.eclipse.gef.GraphicalEditPart getEditPartForPictogramElement(PictogramElement pe)
Method to retrieve the GEF `EditPart` for a given `PictogramElement`.

Parameters:
  `pe` - the `PictogramElement` to retrieve the GEF representation for
Returns:
  the GEF `GraphicalEditPart` that represents the given `PictogramElement`.

### getFigureForPictogramElement

org.eclipse.draw2d.IFigure getFigureForPictogramElement(PictogramElement pe)
Method to retrieve the Draw2D `IFigure` for a given `PictogramElement`.

Parameters:
  `pe` - the `PictogramElement` to retrieve the Draw2D representation for
Returns:
  the Draw2D `IFigure` that represents the given `PictogramElement`.